Subject: Re: bug#60465: 29.0.60; File missing error when calling treesit-install-language-grammar
From: Yuan Fu <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Wilhelm <[email-masked]>, [email-masked]
Date: Sun, 1 Jan 2023 16:17:38 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Wilhelm Kirschbaum <[email-masked]>
>> Date: Sun, 01 Jan 2023 13:28:38 +0200
>> 
>> I am getting the following if the [home emacs config 
>> dir]/tree-sitter directory don't exist yet. 
>> 
>> Warning (treesit): Error encountered when installing language 
>> grammar:
>> (file-missing Opening output file No such file or directory [home 
>> emacs
>> config dir]/tree-sitter/libtree-sitter-elixir.so)
>> 
>> Adding the following fixes the issue for me:
>
> Thanks.
>
>> Please let me know if I am a bit aggressive with these reports, not
>> sure if I am more annoying or somewhat helpful.
>
> No, not at all.
>
>> Is there perhaps a better way to give feedback?
>
> This is the right way, thank you for doing this.

Yes, this prevents us from forgetting about a reported problem.

Fixed and closing, thanks.

Yuan